<?php
 require_once( dirname(__FILE__) . '/IServiceDispatcher.php'); require_once( dirname(__FILE__) . '/adapter/TDispatchRequestAdapter.php'); require_once( dirname(__FILE__) . '/adapter/TDispatchResponseAdapter.php'); class TServiceDispatcherException extends TException { protected function getErrorMessageFile() { return dirname(__FILE__) . '/TServiceDispatcherException.txt'; } } class TServiceDispatcher implements IServiceDispatcher { private $_interface = null; protected $oRequestAdapter = null; protected $oResponseAdapter = null; public function __construct($interface, $serviceUri, $requestProtocol, $responseProtocol, $requestAdapterOptions=null, $responseAdapterOptions=null) { $this -> setInterface($interface); $this -> setRequestAdapter( TDispatchRequestAdapter::createByServiceProtocol($this, $requestProtocol, $requestAdapterOptions) ); $this -> setResponseAdapter( TDispatchResponseAdapter::createByServiceProtocol($this, $responseProtocol, $responseAdapterOptions) ); $this -> oRequestAdapter -> setServiceUri($serviceUri); } public function getInterfaceReflection() { return ClassServiceReflection::createReflection( new ReflectionClass($this -> getInterface())); } public function send($name, $params=null) { $result = null; $args = array(); $iReflection = $this -> getInterfaceReflection(); if( !$iReflection -> hasMethod($name) ) throw new TServiceDispatcherException('servicemethod_unkown', $name); $nReflection = $iReflection -> getMethod($name); do { if( $nReflection -> getNumberOfParameters() == 0 ) break; $aNpReflection = $nReflection -> getParameters(); $c = -1; foreach($aNpReflection as $npReflection) { ++$c; $paramName = $npReflection -> getName(); $args[$paramName] = $paramValue = null; if( $params AND is_array($params) AND array_key_exists($paramName, $params) ) { $args[$paramName] = $paramValue = $params[$paramName]; continue; } if( $params AND is_array($params) AND array_key_exists($c, $params) ) { $args[$paramName] = $paramValue = $params[$c]; continue; } if( $npReflection -> getHasDefault() ) { $args[$paramName] = $npReflection -> getDefault(); continue; } if( $npReflection -> getRequired() ) throw new TServiceDispatcherException('servicemethod_param_missing', $name, $paramName); } } while(0); $this -> oRequestAdapter -> setMethodName($name); $this -> oRequestAdapter -> setMethodParameters($args); $data = $this -> oRequestAdapter -> call(); return $this -> oResponseAdapter -> unserialize($data, $nReflection); } public function __call($name, $params) { return $this -> send($name, $params); } public function setInterface($value) { $this -> _interface = $value; } public function getInterface() { return $this -> _interface; } public function getServiceUri() { return $this -> oRequestAdapter -> getServiceUri(); } public function setServiceUri($value) { $this -> oRequestAdapter -> setServiceUri($value); } public function getRequestProtocol() { return $this -> oRequestAdapter -> getServiceProtocol(); } public function getResponseProtocol() { return $this -> oResponseAdapter -> getServiceProtocol(); } public function setResponseAdapter(IDispatchResponseAdapter $adapder) { $this -> oResponseAdapter = $adapder; } public function getResponseAdapter() { return $this -> oResponseAdapter; } public function setRequestAdapter(IDispatchRequestAdapter $adapder) { $this -> oRequestAdapter = $adapder; } public function getRequestAdapter() { return $this -> oRequestAdapter; } } ?>