<?php
 class wpsg_mod_paypal extends wpsg_mod_basic { var $lizenz = 1; var $id = 2; var $url = false; var $hilfeURL = 'http://wpshopgermany.de/?p=613'; public function __construct() { parent::__construct(); $this->name = __('PayPal', 'wpsg'); $this->group = __('Zahlungsarten', 'wpsg'); $this->desc = __('Ermöglicht die Zahlungsart PayPal.', 'wpsg'); } public function install() { $this->shop->checkDefault('wpsg_mod_paypal_bezeichnung', $this->name, false, true); $this->shop->checkDefault('wpsg_mod_paypal_aktiv', '1'); $this->shop->checkDefault('wpsg_mod_paypal_hint', __('Zahlen Sie die Bestellung mittels ihres PayPal Kontos.', 'wpsg'), false, true); $this->shop->checkDefault('wpsg_mod_paypal_currency', 'EUR'); $this->shop->checkDefault('wpsg_mod_paypal_gebuehr', '0'); $this->shop->checkDefault('wpsg_mod_paypal_mwst', '0'); $this->shop->checkDefault('wpsg_mod_paypal_mwstland', '0'); $this->shop->checkDefault('wpsg_mod_paypal_autostart', '0'); $this->shop->checkDefault('wpsg_mod_paypal_sandbox', '0'); $this->shop->checkDefault('wpsg_mod_paypal_email', ''); $this->shop->checkDefault('wpsg_mod_paypal_language', 'DE'); $this->shop->checkDefault('wpsg_mod_paypal_subject', 'O%order_id% - K%kunde_id%', false, true); } public function init() { if ($this->shop->get_option('wpsg_mod_paypal_sandbox') == 1) { $this->url = "https://www.sandbox.paypal.com/cgi-bin/webscr"; } else { $this->url = "https://www.paypal.com/cgi-bin/webscr"; } } public function settings_edit() { $pages = get_pages(); $arPages = array( '-1' => __('Neu anlegen und zuordnen', 'wpsg') ); foreach ($pages as $k => $v) { $arPages[$v->ID] = $v->post_title.' (ID:'.$v->ID.')'; } $this->shop->view['pages'] = $arPages; $this->shop->render(WPSG_PATH_VIEW.'/mods/mod_paypal/settings_edit.phtml'); } public function settings_save() { $this->shop->update_option('wpsg_mod_paypal_bezeichnung', $_REQUEST['wpsg_mod_paypal_bezeichnung']); $this->shop->update_option('wpsg_mod_paypal_aktiv', $_REQUEST['wpsg_mod_paypal_aktiv']); $this->shop->update_option('wpsg_mod_paypal_hint', $_REQUEST['wpsg_mod_paypal_hint']); $this->shop->update_option('wpsg_mod_paypal_gebuehr', wpsg_tf($_REQUEST['wpsg_mod_paypal_gebuehr'], true)); $this->shop->update_option('wpsg_mod_paypal_mwst', $_REQUEST['wpsg_mod_paypal_mwst']); $this->shop->update_option('wpsg_mod_paypal_email', $_REQUEST['wpsg_mod_paypal_email']); $this->shop->update_option('wpsg_mod_paypal_subject', $_REQUEST['wpsg_mod_paypal_subject']); $this->shop->addTranslationString('wpsg_mod_paypal_hint', $_REQUEST['wpsg_mod_paypal_hint']); $this->shop->update_option('wpsg_mod_paypal_currency', $_REQUEST['wpsg_mod_paypal_currency']); $this->shop->update_option('wpsg_mod_paypal_autostart', $_REQUEST['wpsg_mod_paypal_autostart']); $this->shop->update_option('wpsg_mod_paypal_sandbox', $_REQUEST['wpsg_mod_paypal_sandbox']); $this->shop->update_option('wpsg_mod_paypal_mwstland', $_REQUEST['wpsg_mod_paypal_mwstland']); $this->shop->update_option('wpsg_mod_paypal_language', $_REQUEST['wpsg_mod_paypal_language']); $this->shop->createPage(__('Erfolgreiche PayPal Zahlung', 'wpsg'), 'wpsg_page_mod_paypal_success', $_REQUEST['wpsg_page_mod_paypal_success']); $this->shop->createPage(__('Fehlgeschlagene PayPal Zahlung', 'wpsg'), 'wpsg_page_mod_paypal_error', $_REQUEST['wpsg_page_mod_paypal_error']); $this->shop->addTranslationString('mod_paypal_bezeichnung', $_REQUEST['mod_paypal_bezeichnung']); $this->shop->addTranslationString('wpsg_mod_paypal_hint', $_REQUEST['wpsg_mod_paypal_hint']); } public function checkGeneralBackendError() { if (!wpsg_isSizedString($this->shop->get_option('wpsg_mod_paypal_email')) && wpsg_isSizedInt($this->shop->get_option('wpsg_mod_paypal_aktiv'))) { $this->shop->addBackendError('nohspc_'.wpsg_translate( wpsg_translate( __('Das Modul "PayPal" ist aktiviert und es wurde kein PayPal Konto für Zahlungen hinterlegt. Gehen Sie in die <a href="#1#">Einstellungen</a> des Moduls um das PayPal Konto anzugeben.', 'wpsg'), WPSG_URL_WP.'wp-admin/admin.php?page=wpsg-Admin&action=module&modul=wpsg_mod_paypal' ) )); } } public function addPayment(&$arPayment) { if (!is_admin() && $this->shop->get_option('wpsg_mod_paypal_aktiv') != '1') return; $mwst_value = $this->getTaxValue($this->shop->get_option('wpsg_mod_paypal_mwst'), $this->shop->getDefaultCountry()); $arPayment[$this->id] = array( 'id' => $this->id, 'name' => __($this->shop->get_option('wpsg_mod_paypal_bezeichnung'), 'wpsg'), 'preis' => $this->shop->get_option('wpsg_mod_paypal_gebuehr'), 'mwst' => $this->shop->get_option('wpsg_mod_paypal_mwst'), 'mwst_value' => $mwst_value, 'mwst_null' => $this->shop->get_option('wpsg_mod_paypal_mwstland'), 'hint' => __($this->shop->get_option('wpsg_mod_paypal_hint')), 'logo' => $this->shop->getRessourceURL('gfx/paypal.png') ); if (isset($_REQUEST['wpsg_checkout2'])) { $arBasket = $this->shop->basket->toArray(); if ($this->shop->get_option('wpsg_preisangaben') == WPSG_NETTO || $arBasket['noMwSt']) { $payment_netto = $this->getPreis($this->shop->get_option('wpsg_mod_paypal_gebuehr'), $arBasket['sum']['preis']); $payment_brutto = wpsg_calculatePreis($payment_netto, WPSG_BRUTTO, $mwst_value); } else { $payment_brutto = $this->getPreis($this->shop->get_option('wpsg_mod_paypal_gebuehr'), $arBasket['sum']['preis']); $payment_netto = wpsg_calculatePreis($payment_brutto, WPSG_NETTO, $mwst_value); } if ($this->shop->getFrontendTaxview() == WPSG_NETTO) { $arPayment[$this->id]['price'] = $payment_netto; } else { $arPayment[$this->id]['price'] = $payment_brutto; } } } public function calcPayment(&$arBasket) { if ($arBasket['checkout']['payment'] == $this->id) { $payment_price = $this->getPreis($this->shop->get_option('wpsg_mod_paypal_gebuehr'), $arBasket['sum']['preis']); if ($this->shop->get_option('wpsg_mod_paypal_mwstland') == '1' && $arBasket['noMwSt']) { $arBasket['sum']['preis_payment'] = $payment_price; $arBasket['sum']['preis_payment_brutto'] = $payment_price; $arBasket['sum']['preis_payment_netto'] = $payment_price; $arBasket['payment']['mwst'] = 0; $this->shop->arPayment[$arBasket['checkout']['payment']]['mwst_value'] = 0; $arBasket['payment']['tax_rata'] = false; } else { $this->setPaymentKosten($arBasket, $payment_price, $this->shop->get_option('wpsg_mod_paypal_mwst')); } } } public function order_done(&$order_id, &$done_view) { if ($done_view['basket']['sum']['preis_gesamt_brutto'] <= 0) return; if ($this->shop->view['basket']['checkout']['payment'] == $this->id) { $this->shop->view['paypalLink'] = $this->getPayPalLink($order_id); echo $this->shop->render(WPSG_PATH_VIEW.'/mods/mod_paypal/order_done.phtml', false); } } public function wp_loaded() { if (wpsg_isSizedString($_REQUEST['wpsg_plugin'], 'wpsg_mod_paypal') && wpsg_isSizedString($_REQUEST['confirm'], 'pp')) { $this->shop->checkEscape(); $req = 'cmd=_notify-validate'; foreach ($_POST as $key => $value) { $req .= "&".$key."=".urlencode($value); } $header = ""; $header .= "POST /cgi-bin/webscr HTTP/1.1\r\n"; $header .= "Content-Type: application/x-www-form-urlencoded\r\n"; if ($this->shop->get_option('wpsg_mod_paypal_sandbox') == 1) { $header .= "Host: www.sandbox.paypal.com\r\n"; $fp = fsockopen ('tls://www.sandbox.paypal.com', 443, $errno, $errstr, 30); } else { $header .= "Host: www.paypal.com\r\n"; $fp = fsockopen ('tls://www.paypal.com', 443, $errno, $errstr, 30); } $header .= "Connection: Close\r\n"; $header .= "Content-Length: ".strlen($req)."\r\n\r\n"; if (!$fp) { } else { fputs ($fp, $header.$req); while (!feof($fp)) { $res = fgets ($fp, 1024); if (strcmp(trim($res), "VERIFIED") == 0) { if (strtolower($_REQUEST['payment_status']) == "completed") { $this->db->ImportQuery(WPSG_TBL_OL, array( "title" => __("PayPal VERIFIED", "wpsg"), "cdate" => "NOW()", "o_id" => wpsg_q($_REQUEST['custom']), "mailtext" => wpsg_q(htmlentities(print_r($_REQUEST, 1), ENT_IGNORE)) )); if ($this->shop->setPayMent($_REQUEST['custom'], $_REQUEST['mc_gross'])) { $this->shop->setOrderStatus($_REQUEST['custom'], 100, true); } } } else if (strcmp(trim($res), "INVALID") == 0) { $this->db->ImportQuery(WPSG_TBL_OL, array( "title" => __("PayPal FAILED", "wpsg"), "cdate" => "NOW()", "o_id" => wpsg_q($_REQUEST['custom']), "mailtext" => wpsg_q(wpsg_hspc(print_r($_REQUEST, 1))) )); } } fclose($fp); } die(); } } public function mail_payment() { if ($this->shop->view['basket']['checkout']['payment'] != $this->id) return; if ($this->shop->htmlMail === true) { echo '<a href="'.$this->shop->getDoneURL($this->shop->view['o_id']).'">'.__('Zahlungslink', 'wpsg').'</a>'.__(', um die Zahlung durchzuführen', 'wpsg'); } else { echo wpsg_pad_right(__('Zahlungslink', 'wpsg').':', 35).$this->shop->getDoneURL($this->shop->view['o_id']); } } public function getPayPalLink($order_id) { $basket_link = get_permalink($this->shop->get_option('wpsg_page_basket')); if (strpos($basket_link, "?") > 0) { $basket_link .= "&wpsg_plugin=wpsg_mod_paypal&confirm=pp"; } else { $basket_link .= "?wpsg_plugin=wpsg_mod_paypal&confirm=pp"; } $order = $this->db->fetchRow("
				SELECT
					O.`id` AS o_id, O.`onr`,
					K.`id` AS k_id, K.`knr`
				FROM
					`".WPSG_TBL_ORDER."` AS O
						LEFT JOIN `".WPSG_TBL_KU."` AS K ON (O.`k_id` = K.`id`)
				WHERE
					O.`id` = '".wpsg_q($order_id)."'						
			"); $strItemName = $this->shop->replaceUniversalPlatzhalter(__($this->shop->get_option('wpsg_mod_paypal_subject'), 'wpsg'), $order_id); $arBasket = $this->shop->basket->toArray(); $strSuccessURL = get_permalink($this->shop->get_option('wpsg_page_mod_paypal_success')); $strErrorURL = get_permalink($this->shop->get_option('wpsg_page_mod_paypal_error')); return $this->url. '?cmd=_xclick&business='.rawurlencode($this->shop->get_option('wpsg_mod_paypal_email')). '&amount='.rawurlencode(wpsg_round(wpsg_tf($arBasket['sum']['preis_gesamt_brutto']), 2)). '&item_name='.rawurlencode($strItemName). '&return='.rawurlencode($strSuccessURL). '&cancel_return='.rawurlencode($strErrorURL). '&notify_url='.rawurlencode($basket_link). '&currency_code='.rawurlencode($this->shop->get_option('wpsg_mod_paypal_currency')). '&lc='.$this->shop->get_option('wpsg_mod_paypal_language').'&custom='.rawurlencode($order_id); } } ?>